﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SimpleDatabaseAdapter
{
    internal class SimpleDataAdapterConfig
    {
        private const string TABLE_LISTS_NAME_DEFAULT = "Lists";
        private const string TABLE_ALLDATA_NAME_DEFAULT = "AllData";

        /// <summary>
        /// SQL connection
        /// </summary>
        internal string SQLConnectionString
        {
            get
            {
                return _SQLConnectionString;
            }
            set
            {
                _SQLConnectionString = value;
            }
        }
        private string _SQLConnectionString;

        /// <summary>
        /// Lists table name
        /// </summary>
        internal string TableListsName
        {
            get
            {
                return _TableListsName;
            }
            set
            {
                _TableListsName = value;
            }
        }
        private string _TableListsName = TABLE_LISTS_NAME_DEFAULT;

        /// <summary>
        /// AllData table name
        /// </summary>
        internal string TableAllDataName
        {
            get
            {
                return _TableAllDataName;
            }
            set
            {
                _TableAllDataName = value;
            }
        }
        private string _TableAllDataName = TABLE_ALLDATA_NAME_DEFAULT;
    }
}
