﻿using SQLinq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SimpleDatabaseAdapter
{
    [ListName("_Base")]
    public class AllDataItemBase
    {
        [AllDataItem(AllDataColumns.COLUMN_ID, Type = AllDataColumnTypes.Int)]
        public long Id { get; set; }

        [AllDataItem(AllDataColumns.COLUMN_CREATE_DATA, Type = AllDataColumnTypes.DateTime)]
        public DateTime CreateDate { get; set; }

        [AllDataItem(AllDataColumns.COLUMN_MODIFY_DATA, Type = AllDataColumnTypes.DateTime)]
        public DateTime ModifyDate { get; set; }

        [AllDataItem(AllDataColumns.COLUMN_LIST_ID, Type = AllDataColumnTypes.Int)]
        public int ListId
        {
            get
            {
                return _ListId;
            }
            set
            {
                _ListId = value;
            }
        }
        private int _ListId = -1;
    }
}
