﻿using SQLinq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SimpleDatabaseAdapter
{
    public class AllDataItemAttribute : SQLinqColumnAttribute
    {
        public AllDataItemAttribute(string staticColumnName)
            : base(staticColumnName)
        {
            StaticName = staticColumnName;
        }

        public AllDataItemAttribute(string staticColumnName, string title, AllDataColumnTypes type)
            : base(staticColumnName)
        {
            StaticName = staticColumnName;
            Title = title;
            Type = type;
        }

        public string StaticName { get; set; }
        public string Title { get; set; }
        public AllDataColumnTypes Type { get; set; }
    }
}
